// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut für Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

#ifndef AMDIS_COLLECTION_H
#define AMDIS_COLLECTION_H

#include "MTL4Types.h"

namespace AMDiS {
  template< typename T >
  struct Collection {};

  using namespace MTLTypes;
  template< >
    struct Collection< MTLMatrix > {
      typedef mtl::matrix::inserter< MTLMatrix > Inserter;
    };

  template< >
    struct Collection< MTLVector > {
      typedef mtl::vector::inserter< MTLVector > Inserter;
      typedef MTLMatrix PreconditionMatrix;
    };
}
#endif
